#! /bin/bash
#
#        Jan. 11th, 2006  by Luksch, Klaus-J. Luksch
#
#   - called by isdnlog
#   - get the number as parameter
#   - append to callerfile
#
#
# Test the parameters
#kdialog --title "Parameter Test" --msgbox "1: $1\n2: $2\n3: $3\n4: $4" &


if [ "$#" -lt 3 ]; then
   echo "Too less parameters"
   /opt/kde3/bin/kdialog --title "Error" --msgbox "Too less parameters"
   exit 1
fi

# Is file there?
if [ ! -f ./callsdb.lst ]; then
   echo "File to record calls doesn't exist\nI'm creating it for you."
   touch ./callsdb.lst
fi
 
# Is file writeable?
if [ ! -w ./callsdb.lst ]; then
   echo "File to record calls isn't writeable for you. Sorry."
   /opt/kde3/bin/kdialog --title "Error" --msgbox "File callsdb.lst is not writeable.\nPlease check permissions."
   exit 5
fi

CALLING=$1
LINE=$2
CALLERTOWN=$4

# the msgbox with the user info
/opt/kde3/bin/kdialog --title "Incoming Call" --msgbox "Incoming call from $CALLING\non line: $LINE" &

# append info to callerfile
date "+%Y-%m-%d | %H:%M:%S | $LINE | $CALLING | $CALLERTOWN | $3 |" >> ./callsdb.lst

# finish
exit 0
